window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"4584","username":"elmaikoXIII","comment":"<p>Order is important when defining different classes to an arbitrary number of columns <strong>and<\/strong> defining classes to <em>all<\/em> columns.<\/p>\n\n<p>A situation could be that you want a class for all columns and another class just for one column <em>this configuration<\/em> won't work<\/p>\n\n<pre><code class=\"multiline language-js\">let table_configuration = {\n            scrollX   : true,\n            columnDefs: [\n                {className: \"td-text-center\", targets: \"_all\"},\n                {className: \"editable-cost\", targets: 9},\n                {width    : \"250px\", targets: [1, 2]},\n            ]\n        };\n<\/code><\/pre>\n\n<p>but <em>this one<\/em> will<\/p>\n\n<pre><code class=\"multiline language-js\">let table_configuration = {\n            scrollX   : true,\n            columnDefs: [\n                {className: \"td-text-center editable-cost\", targets: 9},\n                {className: \"td-text-center\", targets: \"_all\"},\n                {width    : \"250px\", targets: [1, 2]},\n            ]\n        };\n<\/code><\/pre>\n","created":"11:05, Mon 15th Jun 2020","parent":null,"version":"1.10.21","children":[]}] );
} );window._site.page = "reference\/option\/columnDefs";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = 'edc7d863b5c936edeb389cbff23484f218b18ccb36e128e1';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


